.button {
  padding: 1em;
  outline: none;
  font-size: 13px;
  font-weight: 500;

  &.clear {
    padding: 0;
  }

  &--wide {
    width: 220px
  }

  &--margin-top-md {
    margin-top: 1rem;
  }

  &--icon {

    &::before {
      content: "";
      display: inline-block;
      vertical-align: middle;
      background-repeat: no-repeat;

      @include hover() {
        opacity: 0.7;
      }
    }

    span {
      padding-left: 1rem;
    }
  }

  &-attach-file {
    @extend .button;
    //@extend .button.clear;
    //@extend .button.secondary;
    @extend .button--icon;

    &::before {
      width: 18px;
      height: 23px;
      background-image: url("attach-file");
    }
  }

  &-download,
  &-print,
  &-search {
    @extend .button;
    //@extend .button.clear;
    //@extend .button.secondary;
    @extend .button--icon;

    margin-bottom: 0;

    &::before {
      width: 24px;
      height: 24px;
    }
  }

  &-download {

    &::before {
      background-image: url("download");
    }
  }

  &-print {
    margin-left: 1.5rem;

    &::before {
      background-image: url("print");
    }
  }

  &-search {
    &::before {
      background-image: url("search");
    }
  }

  span {
    vertical-align: middle;
  }
}
